/* eslint-env jest */
import SdsButtonToggle from '../button-toggle';
import * as utils from '../../../../../.jest/utils';
customElements.define('sds-button-toggle', SdsButtonToggle);

describe('sds-button-toggle', () => {
  afterEach(() => {
    // The jsdom instance is shared across test cases in a single file so reset the DOM
    while (document.body.firstChild) {
      document.body.removeChild(document.body.firstChild);
    }
  });
  it('adding "pressed" attribute sets aria-pressed to "true" on the button', async () => {
    const element = utils.renderIntoBody(`<sds-button-toggle pressed>Test</sds-button-toggle>`);
    const button = element.shadowRoot.querySelector('button');
    expect(button).toHaveAttribute('aria-pressed', 'true');
  });
  it('removing "pressed" attribute sets aria-pressed to "false" on the button', async () => {
    const element = utils.renderIntoBody(`<sds-button-toggle>Test</sds-button-toggle>`);
    const button = element.shadowRoot.querySelector('button');
    expect(button).toHaveAttribute('aria-pressed', 'false');
  });
});
